<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Enumerations  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/objc/Section/Enumerations" class="dashAnchor"></a>
    <a title="Enumerations  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">ProxicloudSDK 2.4.0 Docs</a> (32% documented)</p>
        <p class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">ProxicloudSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        Enumerations  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Categories.html">Categories</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Categories/CBCharacteristic%28PCCharacteristic%29.html">CBCharacteristic(PCCharacteristic)</a>
              </li>
              <li class="nav-group-task">
                <a href="Categories/CBPeripheral%28PCPeripheral%29.html">CBPeripheral(PCPeripheral)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/PCBluetooth.html">PCBluetooth</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEnums.html">PCEnums</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEvent.html">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventAID.html">PCEventAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationActive">PCEventApplicationActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationDidEnterBackground">PCEventApplicationDidEnterBackground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationForeground">PCEventApplicationForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventApplicationLaunched.html">PCEventApplicationLaunched</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillEnterForeground">PCEventApplicationWillEnterForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillResignActive">PCEventApplicationWillResignActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillTerminate">PCEventApplicationWillTerminate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventBluetoothAuthorization.html">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventBluetoothEmulation">PCEventBluetoothEmulation</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicWrite.html">PCEventCharacteristicWrite</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicsUpdate.html">PCEventCharacteristicsUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCustom.html">PCEventCustom</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnected.html">PCEventDeviceConnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnectedToWiFiNetwork.html">PCEventDeviceConnectedToWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnected.html">PCEventDeviceDisconnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnectedFromWiFiNetwork.html">PCEventDeviceDisconnectedFromWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDiscovered.html">PCEventDeviceDiscovered</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceUpdated.html">PCEventDeviceUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventLocationAuthorization.html">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventMagnetometerUpdate.html">PCEventMagnetometerUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventNotificationsAuthorization.html">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformAction.html">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformWhenInUseAction.html">PCEventPerformWhenInUseAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRangedBeacon.html">PCEventRangedBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReachabilityEvent.html">PCEventReachabilityEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionEnter.html">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionExit.html">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportConversion.html">PCEventReportConversion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportHistory.html">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventServicesUpdated.html">PCEventServicesUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventUpdateResolver.html">PCEventUpdateResolver</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventWiFiStatus.html">PCEventWiFiStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMAID.html">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMBeacon.html">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMCampaignAction.html">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMGeofence.html">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMLocationAction.html">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMRegion.html">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMTrigger.html">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMWifiNetwork.html">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMagnetometer.html">PCMagnetometer</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCManager.html">PCManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCModel">PCModel</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCSettingEvent.html">PCSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCUpdateSettingEvent.html">PCUpdateSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ProxicloudSDK.html">ProxicloudSDK</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Constants.html">Constants</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Constants.html#/c:@APIDateFormat">APIDateFormat</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionNumber">ProxicloudSDKVersionNumber</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionString">ProxicloudSDKVersionString</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@kPCIdentifier">kPCIdentifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeFarKey">kPCMagnitudeFarKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeImmediateKey">kPCMagnitudeImmediateKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeNearKey">kPCMagnitudeNearKey</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/PCActionType.html">PCActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCBluetoothStatus.html">PCBluetoothStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCConversionType.html">PCConversionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCInternalActionType.html">PCInternalActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCLocationAuthorizationStatus.html">PCLocationAuthorizationStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerAvailabilityStatus.html">PCManagerAvailabilityStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerBackgroundAppRefreshStatus.html">PCManagerBackgroundAppRefreshStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCTriggerType.html">PCTriggerType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCWifiStatus.html">PCWifiStatus</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEvent">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventBluetoothAuthorization">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventLocationAuthorization">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventNotificationsAuthorization">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventPerformAction">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRangedBeacons">PCEventRangedBeacons</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionEnter">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionExit">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventReportHistory">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMAID">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMBeacon">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMCampaignAction">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMGeofence">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMLocationAction">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMRegion">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMTrigger">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMWifiNetwork">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCModel">PCModel</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Type%20Definitions.html">Type Definitions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCFirmwareVersion.html">PCFirmwareVersion</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCMagneticProximity.html">PCMagneticProximity</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralCharacteristic.html">PCPeripheralCharacteristic</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralService.html">PCPeripheralService</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/kPCMagnitudeLevels.html">kPCMagnitudeLevels</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Functions.html#/c:@F@sbLogFuncObjC_impl">sbLogFuncObjC_impl</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Enumerations</h1>
            <p>The following enumerations are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCTriggerType"></a>
                    <a name="//apple_ref/objc/Enum/PCTriggerType" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCTriggerType">PCTriggerType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Enums/PCTriggerType.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">NS_ENUM</span><span class="p">(</span><span class="n">NSInteger</span><span class="p">,</span> <span class="n">PCTriggerType</span><span class="p">){</span>
    <span class="c1">// Unknown trigger</span>
    <span class="n">kPCTriggerNone</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span>
    <span class="cm">/**
     *  Trigger the campaign when we enter the beacon region
     */</span>
    <span class="n">kPCTriggerEnter</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span>
    <span class="cm">/**
     *  Trigger the campaign when we exit the beacon region
     */</span>
    <span class="n">kPCTriggerExit</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span>
    <span class="cm">/**
     *  Trigger the campaign when we enter and/or exit the beacon region
     */</span>
    <span class="n">kPCTriggerEnterExit</span><span class="o">=</span><span class="mi">3</span>
<span class="p">}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCTriggerType</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCInternalActionType"></a>
                    <a name="//apple_ref/objc/Enum/PCInternalActionType" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCInternalActionType">PCInternalActionType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Enums/PCInternalActionType.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">NS_ENUM</span><span class="p">(</span><span class="n">NSInteger</span><span class="p">,</span> <span class="n">PCInternalActionType</span><span class="p">)</span> <span class="p">{</span>
    <span class="cm">/**
     *  The campaign will show the user a notification
     */</span>
    <span class="n">kPCActionTypeText</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span>
    <span class="cm">/**
     *  The campaign will show the user a website
     */</span>
    <span class="n">kPCActionTypeURL</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span>
    <span class="cm">/**
     *  The campaign will trigger an in-app action
     */</span>
    <span class="n">kPCActionTypeInApp</span><span class="o">=</span><span class="mi">3</span><span class="p">,</span>
    <span class="cm">/**
     *  The campaign will not be forwarded to the app, but only reported
     */</span>
    <span class="n">kPCActionTypeSilent</span> <span class="o">=</span> <span class="mi">4</span><span class="p">,</span>
<span class="p">}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCInternalActionType</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCActionType"></a>
                    <a name="//apple_ref/objc/Enum/PCActionType" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCActionType">PCActionType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Enum for use in AppDelegate, for external developers</p>

                        <a href="Enums/PCActionType.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="n">PCActionType</span> <span class="p">{}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCActionType</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCConversionType"></a>
                    <a name="//apple_ref/objc/Enum/PCConversionType" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCConversionType">PCConversionType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCConversionType
Represents the conversion type for a specific campaign action
@since 2.1.2</p>

                        <a href="Enums/PCConversionType.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="n">PCConversionType</span> <span class="p">{}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCConversionType</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCManagerAvailabilityStatus"></a>
                    <a name="//apple_ref/objc/Enum/PCManagerAvailabilityStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCManagerAvailabilityStatus">PCManagerAvailabilityStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCManagerAvailabilityStatus
Represents the app’s overall iBeacon readiness, like Bluetooth being turned on,
Background App Refresh enabled and authorization to use location services.
@since 0.7.0</p>

                        <a href="Enums/PCManagerAvailabilityStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="n">PCManagerAvailabilityStatus</span> <span class="p">{}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCManagerAvailabilityStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCManagerBackgroundAppRefreshStatus"></a>
                    <a name="//apple_ref/objc/Enum/PCManagerBackgroundAppRefreshStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCManagerBackgroundAppRefreshStatus">PCManagerBackgroundAppRefreshStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCManagerBackgroundAppRefreshStatus</p>

<p>Represents the app’s Background App Refresh status.</p>

<p>@since 0.7.0</p>

                        <a href="Enums/PCManagerBackgroundAppRefreshStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="n">PCManagerBackgroundAppRefreshStatus</span> <span class="p">{}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCManagerBackgroundAppRefreshStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCLocationAuthorizationStatus"></a>
                    <a name="//apple_ref/objc/Enum/PCLocationAuthorizationStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCLocationAuthorizationStatus">PCLocationAuthorizationStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCManagerAuthorizationStatus</p>

<p>Represents the app’s authorization status for using location services.</p>

<p>@since 0.7.0</p>

                        <a href="Enums/PCLocationAuthorizationStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="n">PCLocationAuthorizationStatus</span> <span class="p">{}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCLocationAuthorizationStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCBluetoothStatus"></a>
                    <a name="//apple_ref/objc/Enum/PCBluetoothStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCBluetoothStatus">PCBluetoothStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Enums/PCBluetoothStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">NS_ENUM</span><span class="p">(</span><span class="n">NSInteger</span><span class="p">,</span> <span class="n">PCBluetoothStatus</span><span class="p">)</span> <span class="p">{</span>
    <span class="cm">/**
        The Bluetooth radio is resetting (or unknown), try again later
     */</span>
    <span class="n">PCBluetoothUnknown</span><span class="p">,</span>
    <span class="cm">/**
     The Bluetooth radio is off, unsupported or restricted
     */</span>
    <span class="n">PCBluetoothOff</span><span class="p">,</span>
    <span class="cm">/**
     The Bluetooth radio is on, supported and accessible
     */</span>
    <span class="n">PCBluetoothOn</span><span class="p">,</span>
<span class="p">}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCBluetoothStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@E@PCWifiStatus"></a>
                    <a name="//apple_ref/objc/Enum/PCWifiStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@E@PCWifiStatus">PCWifiStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Enums/PCWifiStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">NS_ENUM</span><span class="p">(</span><span class="n">NSInteger</span><span class="p">,</span> <span class="n">PCWifiStatus</span><span class="p">)</span> <span class="p">{</span>
  
    <span class="n">PCWifiUnknown</span><span class="p">,</span>
    
    <span class="n">PCWifiOn</span><span class="p">,</span>
    
    <span class="n">PCWifiOff</span>
<span class="p">}</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">enum</span> <span class="kt">PCWifiStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>Coryright Proxi Cloud. All rights reserved</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.13.6</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
